Search for reading closest to a specific time
curl --request GET \
--url https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.thebuoy.app/v2/buoys/{buoy_id}/readings/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"closest_reading": {
"id": 123,
"uuid": "<string>",
"significient_height": 123,
"maximum_height": 123,
"period": 123,
"time": "2023-11-07T05:31:56Z",
"water_temperature": 123,
"direction": 123,
"direction_compass": "<string>",
"unit": "<string>",
"energy_per_wave": 123,
"time_diff_minutes": 123
},
"search_parameters": {
"target_datetime": "2023-11-07T05:31:56Z",
"tolerance_hours": 123,
"search_range": {
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
}
}
}{
"error": "bad_request",
"message": "Search term must be at least 2 characters",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "unauthorized",
"message": "Invalid API key",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "resource_not_found",
"message": "Couldn't find Spot with 'id'=999",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}{
"error": "rate_limit_exceeded",
"message": "You have exceeded 1000 requests per hour",
"timestamp": "2025-12-27T14:30:00Z",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}Buoys
Search for reading closest to a specific time
Find the reading closest to a target datetime within a tolerance window.
Useful for finding conditions at a specific past time.
GET
/
buoys
/
{buoy_id}
/
readings
/
search
Search for reading closest to a specific time
Authorizations
API key authentication. Pass your API key as a Bearer token in the Authorization header.
Format: Authorization: Bearer YOUR_API_KEY
Alternative: Pass as query parameter ?api_key=YOUR_API_KEY
Security: API keys are stored as BCrypt hashes (never plain text). Only the hash is stored in the database.
Path Parameters
Query Parameters
Target date (YYYY-MM-DD)
Target time (HH:MM)
Pattern:
^[0-9]{2}:[0-9]{2}$Hours to search around target time (default: 3, max: 24)
Required range:
1 <= x <= 24⌘I